--
-- $Id$
--
-- Aanpassen kostensoort in verkoopinterface

DEFINE thisfile = 'AADS#53430.SQL'
DEFINE dbuser   = '^AADS'
DEFINE custid   = 'AADS'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Kopieer email adres naar login voor alle personen met functie 'DSM Delft Default User'

UPDATE prs_perslid
   SET prs_perslid_oslogin = prs_perslid_email
 WHERE     prs_perslid_verwijder IS NULL
       AND prs_srtperslid_key = 15066               --- DSM Delft Default User
       AND prs_perslid_email IS NOT NULL
       AND prs_perslid_oslogin IS NULL;

-- Gooi gebruikers met functie 'DSM Delft Default User' uit _Default
DELETE FROM fac_gebruikersgroep
      WHERE fac_gebruikersgroep_key IN
                  (SELECT fac_gebruikersgroep_key
                     FROM fac_gebruikersgroep fg, prs_perslid p
                    WHERE     p.prs_perslid_key = fg.prs_perslid_key
                          AND p.prs_srtperslid_key = 15066 --- DSM Delft Default User
                          AND fac_groep_key = 1                   --- _Default
                          AND prs_perslid_verwijder IS NULL);

-- Stop personen met functie 'DSM Delft Default User' in groep 'DSM Delft Default User'
INSERT INTO fac_gebruikersgroep (fac_groep_key, prs_perslid_key)
   SELECT 621, prs_perslid_key
     FROM prs_perslid p
    WHERE prs_perslid_verwijder IS NULL AND p.prs_srtperslid_key = 15066 --- DSM Delft Default User
          AND prs_perslid_key NOT IN
                   (SELECT fg.prs_perslid_key
                      FROM fac_gebruikersgroep fg, prs_perslid p
                     WHERE     p.prs_perslid_key = fg.prs_perslid_key
                           AND fg.fac_groep_key = 621 ---     DSM Delft Default
                           AND p.prs_srtperslid_key = 15066);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile